| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Fields
ble_ans_c_service_t Struct Reference
Alert Notification Service Client

Struct to hold information on the Alert Notification Service if found on the server. More...

`#include <ble_ans_c.h>`

## Data Fields
ble_gattc_service_t | service
ble_gattc_char_t | alert_notif_ctrl_point
ble_gattc_char_t | suported_new_alert_cat
ble_gattc_char_t | suported_unread_alert_cat
ble_gattc_char_t | new_alert
ble_gattc_desc_t | new_alert_cccd
ble_gattc_char_t | unread_alert_status
ble_gattc_desc_t | unread_alert_cccd

## Detailed Description

Struct to hold information on the Alert Notification Service if found on the server.

## Field Documentation

ble_gattc_char_t ble_ans_c_service_t::alert_notif_ctrl_point

Characteristic for the Alert Notification Control Point. BLE_UUID_ALERT_NOTIFICATION_CONTROL_POINT_CHAR

ble_gattc_char_t ble_ans_c_service_t::new_alert

Characteristic for the New Alert Notification. BLE_UUID_NEW_ALERT_CHAR

ble_gattc_desc_t ble_ans_c_service_t::new_alert_cccd

Characteristic Descriptor for New Alert Category. Enables or Disables GATT notifications

ble_gattc_service_t ble_ans_c_service_t::service

The GATT service holding the discovered Alert Notification Service.

ble_gattc_char_t ble_ans_c_service_t::suported_new_alert_cat

Characteristic for the Supported New Alert category. BLE_UUID_SUPPORTED_NEW_ALERT_CATEGORY_CHAR

ble_gattc_char_t ble_ans_c_service_t::suported_unread_alert_cat

Characteristic for the Unread Alert category. BLE_UUID_SUPPORTED_UNREAD_ALERT_CATEGORY_CHAR

ble_gattc_desc_t ble_ans_c_service_t::unread_alert_cccd

Characteristic Descriptor for Unread Alert Category. Enables or Disables GATT notifications

ble_gattc_char_t ble_ans_c_service_t::unread_alert_status

Characteristic for the Unread Alert Notification. BLE_UUID_UNREAD_ALERT_CHAR